Get code files for a cleaning task
curl --request GET \
--url https://api.datalinks.com/api/v1/agents/cleaning/{cleaningTaskId}/code \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalinks.com/api/v1/agents/cleaning/{cleaningTaskId}/code"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalinks.com/api/v1/agents/cleaning/{cleaningTaskId}/code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"name": "clean.py",
"content": "<string>"
}
]
}agents
Get code files for a cleaning task
Retrieve metadata for all code files generated by the cleaning agent for the specified task.
GET
/
agents
/
cleaning
/
{cleaningTaskId}
/
code
Get code files for a cleaning task
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
The unique identifier of the cleaning task.
Response
List of code file metadata for the cleaning task.
List of code files used by cleaner agent.
Show child attributes
Show child attributes